<?php 
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');
include_once (BASEDIR . 'chat/includes/functions.php');

if (isset($_GET['start'])) {
    $start = abs(intval($_GET['start']));
} else {
    $start = 0;
} 

if (isset($_GET['action'])) {
    $action = check($_GET['action']);
} else {
    $action = "";
} 

if (is_admin(array(101, 102, 103, 105))) {
    show_title('types.png', 'Управление');
    $config['newtitle'] = 'Управление Резиденцией';
    # ###########################################################################################
    # #                                    Главная страница                                    ##
    # ###########################################################################################
    if (empty($action)) {
        echo '<a href="../chat/index.php?start=' . $start . '&amp;' . SID . '">Обзор</a><br /><hr />';

        $file = file(DATADIR . "3chat.dat");
        $file = array_reverse($file);
        $total = count($file);

        if ($total > 0) {
            echo '<form action="3chatuser.php?action=del&amp;start=' . $start . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" method="post">';

            if ($start < 0 || $start > $total) {
                $start = 0;
            } 
            if ($total < $start + $config['chatpost']) {
                $end = $total;
            } else {
                $end = $start + $config['chatpost'];
            } 
            for ($i = $start; $i < $end; $i++) {
                $data = explode("|", $file[$i]);

                $num = $total - $i - 1;

                $useronline = user_online($data[1]);
                $useravatars = user_avatars($data[1]);
                $anketa = '<a href="../pages/anketa.php?uz=' . $data[1] . '&amp;' . SID . '"> ' . nickname($data[1]) . '</a>';

                if ($data[1] == 'Павел Воля') {
                    $useravatars = '<img src="../chat/3/img/volya.jpg" alt="image" /> ';
                    $useronline = '<span style="color:#00ff00">[On]</span>';
                    $anketa = 'Павел Воля';
                } 
                if ($data[1] == 'Галыгин') {
                    $useravatars = '<img src="../chat/3/img/galigin.jpg" alt="image" /> ';
                    $useronline = '<span style="color:#00ff00">[On]</span>';
                    $anketa = 'Галыгин';
                } 
                

                echo '<div class="b">';

                echo $useravatars;

                echo '<b>' . $anketa . '</b> ' . user_title($data[1]) . ' ' . $useronline . ' <small> (' . date_fixed($data[3]) . ')</small><br />';
                echo '<input type="checkbox" name="del[]" value="' . $num . '" /> ';
                echo '</div><div>' . bb_code($data[0]) . '<br />';
                echo '</div>';
            } 

            echo '<br /><input type="submit" value="Удалить выбранное" /></form>';

            page_jumpnavigation('3chatuser.php?', $config['chatpost'], $start, $total);
            page_strnavigation('3chatuser.php?', $config['chatpost'], $start, $total);

            echo '<br /><br />Всего сообщений: <b>' . (int)$total . '</b><br />';

            if (is_admin(array(101))) {
                echo '<br /><img src="../images/img/error.gif" alt="image" /> <a href="3chatuser.php?action=prodel&amp;' . SID . '">Очистить</a>';
            } 
        } else {
            echo '<img src="../images/img/reload.gif" alt="image" />  <b>Сообщений еще нет!</b><br /><br />';
        } 
    } 
    # ###########################################################################################
    # #                                 Подтверждение очистки                                  ##
    # ###########################################################################################
    if ($action == "prodel") {
        echo '<br />Удалить все сообщения в Чате?<br />';
        echo '<img src="../images/img/error.gif" alt="image" /> <b><a href="3chatuser.php?action=alldel&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">Да уверен!</a></b><br />';

        echo '<br /><img src="../images/img/back.gif" alt="image" /> <a href="3chatuser.php?' . SID . '">Вернуться</a>';
    } 
    # ###########################################################################################
    # #                                   Очистка Чата                                    ##
    # ###########################################################################################
    if ($action == "alldel") {
        $uid = check($_GET['uid']);

        if (is_admin(array(101))) {
            if ($uid == $_SESSION['token']) {
                clear_files(DATADIR . "3chat.dat");

                $_SESSION['note'] = 'Чат успешно очищен!';
                header ("Location: 3chatuser.php?" . SID);
                exit;
            } else {
                echo '<b>Ошибка! Неверный идентификатор сессии, повторите действие!</b><br />';
            } 
        } else {
            echo '<b>Ошибка! Очищать Чат могут только суперадмины!</b><br />';
        } 

        echo '<br /><img src="../images/img/back.gif" alt="image" /> <a href="3chatuser.php?' . SID . '">Вернуться</a>';
    } 
    # ###########################################################################################
    # #                                 Удаление сообщений                                     ##
    # ###########################################################################################
    if ($action == "del") {
        $uid = check($_GET['uid']);
        if (isset($_POST['del'])) {
            $del = intar($_POST['del']);
        } else {
            $del = "";
        } 

        if ($uid == $_SESSION['token']) {
            if ($del !== "") {
                delete_lines(DATADIR . "3chat.dat", $del);

                $_SESSION['note'] = 'Выбранные сообщения успешно удалены!';
                header ("Location: 3chatuser.php?start=$start&" . SID);
                exit;
            } else {
                echo '<b>Ошибка удаления! Отсутствуют выбранные сообщения</b><br />';
            } 
        } else {
            echo '<b>Ошибка! Неверный идентификатор сессии, повторите действие!</b><br />';
        } 

        echo '<br /><img src="../images/img/back.gif" alt="image" /> <a href="3chatuser.php?start=' . $start . '&amp;' . SID . '">Вернуться</a>';
    } 
    echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';
} else {
    header ("Location: ../index.php?isset=404&" . SID);
    exit;
} 

include_once ("../themes/" . $config['themes'] . "/foot.php");

?>